﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ComboBoxAutocompleteWithClientSideItems.aspx.cs" Inherits="ComboBoxAutocompleteWithClientSideItems" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns='http://www.w3.org/1999/xhtml'>
<head runat="server">
    <title>Telerik ASP.NET Example</title>
</head>

<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager runat="server" ID="RadScriptManager1">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
            </Scripts>
        </telerik:RadScriptManager>

        <div class="demo-container size-narrow">
            <h2>Autocomplete</h2>
            <telerik:RadComboBox RenderMode="Lightweight" ID="RadComboBox1" runat="server" Width="400" Height="400px"
                EmptyMessage="Type an E-mail" DataSourceID="SqlDataSource1" DataTextField="ContactName"
                OnItemDataBound="RadComboBox1_ItemDataBound" MarkFirstMatch="true">
            </telerik:RadComboBox>
        </div>

        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            SelectCommand="SELECT [ContactName] FROM [Customers] ORDER BY [ContactName]"></asp:SqlDataSource>
    </form>

    <script type="text/javascript">
        Sys.Application.add_load(addNewItems)
        function addNewItems() {
            var combo,
                comboItem,
                name = 'EmailAddedViaClientMethod';

            for (var i = 0; i < 10; i++) {
                combo = $find("<%= RadComboBox1.ClientID %>");
                comboItem = new Telerik.Web.UI.RadComboBoxItem();
                comboItem.set_text(name + i + '@telerik.com');
                combo.trackChanges();
                combo.get_items().add(comboItem);
                comboItem.select();
                combo.commitChanges();
            }
        }
    </script>
</body>
</html>